For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Retrieve profile and application settings for the currently authenticated user. Use this endpoint to adapt your integration to user preferences and entitlements.

Requirements

  • Authentication: Bearer API token

  • Headers:

    • Authorization: Bearer-API YOUR_API_KEY

Endpoint

Get Current User

GET /api/v1/users/me

Get Current User

get

Retrieves information about the currently authenticated user.

Authorizations
AuthorizationstringRequired

API key authentication. Format: "Bearer-API YOUR_API_KEY"

Responses
200

Successful operation

application/json
idstringOptional

Unique identifier for the user

Example: 5b1ec026db27977424e8599e
emailstring · emailOptional

Email address of the user

Example: ervintorra@example.com
namestringOptional

Full name of the user

Example: ervintorra
first_namestringOptional

First name of the user

Example: Ervin
picturestringOptional

URL to the profile picture of the user

Example: https://publer-dev.s3.amazonaws.com/uploads/photos/thumb_mini_magick20250123-28707-otuw0w.png
get/users/me

Last updated

Was this helpful?